# TODO #


## Definition ##


### Syntax ###

*   keyboard shortcuts (not the ugly `<key>Shift</key>+<key>F8</key>)

*   TC dependency issues

    *   [examples/dependency.md][1]

  [1]: examples/dependency.md

*   elaborate on [Objects example][2]

  [2]: examples/objects.md


### Data model ###

*   step identity

*   processing schema

    1.  append widget based on type `\*`

    2.  Markdown

*   inheritance - inherit Vars and other things

*   matrices - allow for generation of combined parallel procedures

*   relations to other (specification) documents

*   equipment - allow for specification of special equipment like Wi-fi cards,
    or a specific machine or a set of machines (environment).  Can be related
    to objects

*   objects - allow for

    *   distinct specification of object in group of testing objects (server,
        client1, client2...)

    *   parallelization when the same procedure needs to be repeated over
        every object (machines, pages of a document, data sets...)

    Notice the difference: while equipmemt serves as a means of providing
    framework or environment where tests can be held, objects are separately
    defined units that tests are actually held against.  In practice, set of
    objects can be actually a subset of equipment.


### WUI ###

*   data persistence (HTML5)

*   error reporting

    *   show

    *   provide report URI


## Implementation ##

*   everything! :)

*   [Exception model][3]

  [3]: http://www.perl.com/pub/2002/11/14/exception.html
