Name: Objects.md
Description: Demo on how to handle objects to operate on.

Demo: Objects
=============


Description
-----------

Sometimes, to achieve desired result, you need to perform scenario on different
objects. Typically this is case in server-client scenario: you set up a server,
connect client, do something with client, do something with server, connect
another client observe server, you get the point.

In order to filter out repeating of all the clients and servers, and allow for
a more intuitive representation (e.g. an icon), we need to introduce a special
markup for objects.


Rules
-----

*   there can  be any number of objects

*   there is no formal hierarchy, proper naming can be introduced if needed

*   if the line body starts with `qr/(\w+):/`, `$1` is the object name

*   TODO: define how to introduce style


Example
-------

In the case below, interpretation should be possible that visually distinguishes
between steps performed on server and on client.

### Download & update ###

1.  server: prepare a server

2.  client: connect to server

3.  client: download rules

4.  server: add new rules

5.  client: update rules


