#!/usr/bin/perl
use strict;
use warnings;
use Test::More;

use lib 'lib';
use helper;

BEGIN { use_ok( 'SugarTrail::Template::Condition' ); }
require_ok( 'SugarTrail::Template::Condition' );

my $params = { os => "wxx", proto => "imap" };

my $c = SugarTrail::Template::Condition->new('proto==imap');
ok($c, "c is true");
ok($c->match($params), "params match");

&helper::dmupp(condition=>$c);

done_testing();
